<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Rename Method (String, String)
BaseDatabase Class See Also Send Feedback

Rename the underlying file represented by Filename, incidentally renaming all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public static void Rename(
    	string Filename,
    	string NewName
    )

Visual Basic (Declaration)

    Public Shared Sub Rename ( _
    	Filename As String, _
    	NewName As String _
    )

Visual C++

    public:
    static void Rename(
    	String^ Filename,
    	String^ NewName
    )

#### Parameters

Filename
  Type: System..::.String
  The file to rename

NewName
  Type: System..::.String
  The new filename

# See Also

BaseDatabase Class
Rename Overload
BerkeleyDB Namespace